IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network98.3.96.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
- Network address
98.3.96.0- Broadcast address
98.3.127.255- First usable
98.3.96.1- Last usable
98.3.127.254- Usable hosts
- 8,190 (8,192 less the network and broadcast addresses)
- Subnet mask
255.255.224.0- Wildcard mask
0.0.31.255(Cisco ACLs, OSPF)- Prefix length
- /19
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
62036000· Integer1644388352to1644396543 - Reverse DNS zones
96.3.98.in-addr.arpa97.3.98.in-addr.arpa98.3.98.in-addr.arpa99.3.98.in-addr.arpa100.3.98.in-addr.arpa101.3.98.in-addr.arpa102.3.98.in-addr.arpa103.3.98.in-addr.arpa104.3.98.in-addr.arpa105.3.98.in-addr.arpa106.3.98.in-addr.arpa107.3.98.in-addr.arpa108.3.98.in-addr.arpa109.3.98.in-addr.arpa110.3.98.in-addr.arpa111.3.98.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01100010.00000011.01100000.00000000 | 98.3.96.0 |
| Subnet mask | 11111111.11111111.11100000.00000000 | 255.255.224.0 |
| Network | 01100010.00000011.01100000.00000000 | 98.3.96.0 |
| Broadcast | 01100010.00000011.01111111.11111111 | 98.3.127.255 |
Split into smaller subnets
/20 (2)/21 (4)/22 (8)/23 (16)/24 (32)/25 (64)/26 (128)/27 (256)/28 (512)/29 (1,024)/30 (2,048)/31 (4,096)
98.3.96.0/19 makes 4,096 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 98.3.96.0/31 | 98.3.96.0 to 98.3.96.1 | — | 2 |
| 2 | 98.3.96.2/31 | 98.3.96.2 to 98.3.96.3 | — | 2 |
| 3 | 98.3.96.4/31 | 98.3.96.4 to 98.3.96.5 | — | 2 |
| 4 | 98.3.96.6/31 | 98.3.96.6 to 98.3.96.7 | — | 2 |
| 5 | 98.3.96.8/31 | 98.3.96.8 to 98.3.96.9 | — | 2 |
| 6 | 98.3.96.10/31 | 98.3.96.10 to 98.3.96.11 | — | 2 |
| 7 | 98.3.96.12/31 | 98.3.96.12 to 98.3.96.13 | — | 2 |
| 8 | 98.3.96.14/31 | 98.3.96.14 to 98.3.96.15 | — | 2 |
| 9 | 98.3.96.16/31 | 98.3.96.16 to 98.3.96.17 | — | 2 |
| 10 | 98.3.96.18/31 | 98.3.96.18 to 98.3.96.19 | — | 2 |
| 11 | 98.3.96.20/31 | 98.3.96.20 to 98.3.96.21 | — | 2 |
| 12 | 98.3.96.22/31 | 98.3.96.22 to 98.3.96.23 | — | 2 |
| 13 | 98.3.96.24/31 | 98.3.96.24 to 98.3.96.25 | — | 2 |
| 14 | 98.3.96.26/31 | 98.3.96.26 to 98.3.96.27 | — | 2 |
| 15 | 98.3.96.28/31 | 98.3.96.28 to 98.3.96.29 | — | 2 |
| 16 | 98.3.96.30/31 | 98.3.96.30 to 98.3.96.31 | — | 2 |
| 17 | 98.3.96.32/31 | 98.3.96.32 to 98.3.96.33 | — | 2 |
| 18 | 98.3.96.34/31 | 98.3.96.34 to 98.3.96.35 | — | 2 |
| 19 | 98.3.96.36/31 | 98.3.96.36 to 98.3.96.37 | — | 2 |
| 20 | 98.3.96.38/31 | 98.3.96.38 to 98.3.96.39 | — | 2 |
| 21 | 98.3.96.40/31 | 98.3.96.40 to 98.3.96.41 | — | 2 |
| 22 | 98.3.96.42/31 | 98.3.96.42 to 98.3.96.43 | — | 2 |
| 23 | 98.3.96.44/31 | 98.3.96.44 to 98.3.96.45 | — | 2 |
| 24 | 98.3.96.46/31 | 98.3.96.46 to 98.3.96.47 | — | 2 |
| 25 | 98.3.96.48/31 | 98.3.96.48 to 98.3.96.49 | — | 2 |
| 26 | 98.3.96.50/31 | 98.3.96.50 to 98.3.96.51 | — | 2 |
| 27 | 98.3.96.52/31 | 98.3.96.52 to 98.3.96.53 | — | 2 |
| 28 | 98.3.96.54/31 | 98.3.96.54 to 98.3.96.55 | — | 2 |
| 29 | 98.3.96.56/31 | 98.3.96.56 to 98.3.96.57 | — | 2 |
| 30 | 98.3.96.58/31 | 98.3.96.58 to 98.3.96.59 | — | 2 |
| 31 | 98.3.96.60/31 | 98.3.96.60 to 98.3.96.61 | — | 2 |
| 32 | 98.3.96.62/31 | 98.3.96.62 to 98.3.96.63 | — | 2 |
| 33 | 98.3.96.64/31 | 98.3.96.64 to 98.3.96.65 | — | 2 |
| 34 | 98.3.96.66/31 | 98.3.96.66 to 98.3.96.67 | — | 2 |
| 35 | 98.3.96.68/31 | 98.3.96.68 to 98.3.96.69 | — | 2 |
| 36 | 98.3.96.70/31 | 98.3.96.70 to 98.3.96.71 | — | 2 |
| 37 | 98.3.96.72/31 | 98.3.96.72 to 98.3.96.73 | — | 2 |
| 38 | 98.3.96.74/31 | 98.3.96.74 to 98.3.96.75 | — | 2 |
| 39 | 98.3.96.76/31 | 98.3.96.76 to 98.3.96.77 | — | 2 |
| 40 | 98.3.96.78/31 | 98.3.96.78 to 98.3.96.79 | — | 2 |
| 41 | 98.3.96.80/31 | 98.3.96.80 to 98.3.96.81 | — | 2 |
| 42 | 98.3.96.82/31 | 98.3.96.82 to 98.3.96.83 | — | 2 |
| 43 | 98.3.96.84/31 | 98.3.96.84 to 98.3.96.85 | — | 2 |
| 44 | 98.3.96.86/31 | 98.3.96.86 to 98.3.96.87 | — | 2 |
| 45 | 98.3.96.88/31 | 98.3.96.88 to 98.3.96.89 | — | 2 |
| 46 | 98.3.96.90/31 | 98.3.96.90 to 98.3.96.91 | — | 2 |
| 47 | 98.3.96.92/31 | 98.3.96.92 to 98.3.96.93 | — | 2 |
| 48 | 98.3.96.94/31 | 98.3.96.94 to 98.3.96.95 | — | 2 |
| 49 | 98.3.96.96/31 | 98.3.96.96 to 98.3.96.97 | — | 2 |
| 50 | 98.3.96.98/31 | 98.3.96.98 to 98.3.96.99 | — | 2 |
| 51 | 98.3.96.100/31 | 98.3.96.100 to 98.3.96.101 | — | 2 |
| 52 | 98.3.96.102/31 | 98.3.96.102 to 98.3.96.103 | — | 2 |
| 53 | 98.3.96.104/31 | 98.3.96.104 to 98.3.96.105 | — | 2 |
| 54 | 98.3.96.106/31 | 98.3.96.106 to 98.3.96.107 | — | 2 |
| 55 | 98.3.96.108/31 | 98.3.96.108 to 98.3.96.109 | — | 2 |
| 56 | 98.3.96.110/31 | 98.3.96.110 to 98.3.96.111 | — | 2 |
| 57 | 98.3.96.112/31 | 98.3.96.112 to 98.3.96.113 | — | 2 |
| 58 | 98.3.96.114/31 | 98.3.96.114 to 98.3.96.115 | — | 2 |
| 59 | 98.3.96.116/31 | 98.3.96.116 to 98.3.96.117 | — | 2 |
| 60 | 98.3.96.118/31 | 98.3.96.118 to 98.3.96.119 | — | 2 |
| 61 | 98.3.96.120/31 | 98.3.96.120 to 98.3.96.121 | — | 2 |
| 62 | 98.3.96.122/31 | 98.3.96.122 to 98.3.96.123 | — | 2 |
| 63 | 98.3.96.124/31 | 98.3.96.124 to 98.3.96.125 | — | 2 |
| 64 | 98.3.96.126/31 | 98.3.96.126 to 98.3.96.127 | — | 2 |
| 65 | 98.3.96.128/31 | 98.3.96.128 to 98.3.96.129 | — | 2 |
| 66 | 98.3.96.130/31 | 98.3.96.130 to 98.3.96.131 | — | 2 |
| 67 | 98.3.96.132/31 | 98.3.96.132 to 98.3.96.133 | — | 2 |
| 68 | 98.3.96.134/31 | 98.3.96.134 to 98.3.96.135 | — | 2 |
| 69 | 98.3.96.136/31 | 98.3.96.136 to 98.3.96.137 | — | 2 |
| 70 | 98.3.96.138/31 | 98.3.96.138 to 98.3.96.139 | — | 2 |
| 71 | 98.3.96.140/31 | 98.3.96.140 to 98.3.96.141 | — | 2 |
| 72 | 98.3.96.142/31 | 98.3.96.142 to 98.3.96.143 | — | 2 |
| 73 | 98.3.96.144/31 | 98.3.96.144 to 98.3.96.145 | — | 2 |
| 74 | 98.3.96.146/31 | 98.3.96.146 to 98.3.96.147 | — | 2 |
| 75 | 98.3.96.148/31 | 98.3.96.148 to 98.3.96.149 | — | 2 |
| 76 | 98.3.96.150/31 | 98.3.96.150 to 98.3.96.151 | — | 2 |
| 77 | 98.3.96.152/31 | 98.3.96.152 to 98.3.96.153 | — | 2 |
| 78 | 98.3.96.154/31 | 98.3.96.154 to 98.3.96.155 | — | 2 |
| 79 | 98.3.96.156/31 | 98.3.96.156 to 98.3.96.157 | — | 2 |
| 80 | 98.3.96.158/31 | 98.3.96.158 to 98.3.96.159 | — | 2 |
| 81 | 98.3.96.160/31 | 98.3.96.160 to 98.3.96.161 | — | 2 |
| 82 | 98.3.96.162/31 | 98.3.96.162 to 98.3.96.163 | — | 2 |
| 83 | 98.3.96.164/31 | 98.3.96.164 to 98.3.96.165 | — | 2 |
| 84 | 98.3.96.166/31 | 98.3.96.166 to 98.3.96.167 | — | 2 |
| 85 | 98.3.96.168/31 | 98.3.96.168 to 98.3.96.169 | — | 2 |
| 86 | 98.3.96.170/31 | 98.3.96.170 to 98.3.96.171 | — | 2 |
| 87 | 98.3.96.172/31 | 98.3.96.172 to 98.3.96.173 | — | 2 |
| 88 | 98.3.96.174/31 | 98.3.96.174 to 98.3.96.175 | — | 2 |
| 89 | 98.3.96.176/31 | 98.3.96.176 to 98.3.96.177 | — | 2 |
| 90 | 98.3.96.178/31 | 98.3.96.178 to 98.3.96.179 | — | 2 |
| 91 | 98.3.96.180/31 | 98.3.96.180 to 98.3.96.181 | — | 2 |
| 92 | 98.3.96.182/31 | 98.3.96.182 to 98.3.96.183 | — | 2 |
| 93 | 98.3.96.184/31 | 98.3.96.184 to 98.3.96.185 | — | 2 |
| 94 | 98.3.96.186/31 | 98.3.96.186 to 98.3.96.187 | — | 2 |
| 95 | 98.3.96.188/31 | 98.3.96.188 to 98.3.96.189 | — | 2 |
| 96 | 98.3.96.190/31 | 98.3.96.190 to 98.3.96.191 | — | 2 |
| 97 | 98.3.96.192/31 | 98.3.96.192 to 98.3.96.193 | — | 2 |
| 98 | 98.3.96.194/31 | 98.3.96.194 to 98.3.96.195 | — | 2 |
| 99 | 98.3.96.196/31 | 98.3.96.196 to 98.3.96.197 | — | 2 |
| 100 | 98.3.96.198/31 | 98.3.96.198 to 98.3.96.199 | — | 2 |
| 101 | 98.3.96.200/31 | 98.3.96.200 to 98.3.96.201 | — | 2 |
| 102 | 98.3.96.202/31 | 98.3.96.202 to 98.3.96.203 | — | 2 |
| 103 | 98.3.96.204/31 | 98.3.96.204 to 98.3.96.205 | — | 2 |
| 104 | 98.3.96.206/31 | 98.3.96.206 to 98.3.96.207 | — | 2 |
| 105 | 98.3.96.208/31 | 98.3.96.208 to 98.3.96.209 | — | 2 |
| 106 | 98.3.96.210/31 | 98.3.96.210 to 98.3.96.211 | — | 2 |
| 107 | 98.3.96.212/31 | 98.3.96.212 to 98.3.96.213 | — | 2 |
| 108 | 98.3.96.214/31 | 98.3.96.214 to 98.3.96.215 | — | 2 |
| 109 | 98.3.96.216/31 | 98.3.96.216 to 98.3.96.217 | — | 2 |
| 110 | 98.3.96.218/31 | 98.3.96.218 to 98.3.96.219 | — | 2 |
| 111 | 98.3.96.220/31 | 98.3.96.220 to 98.3.96.221 | — | 2 |
| 112 | 98.3.96.222/31 | 98.3.96.222 to 98.3.96.223 | — | 2 |
| 113 | 98.3.96.224/31 | 98.3.96.224 to 98.3.96.225 | — | 2 |
| 114 | 98.3.96.226/31 | 98.3.96.226 to 98.3.96.227 | — | 2 |
| 115 | 98.3.96.228/31 | 98.3.96.228 to 98.3.96.229 | — | 2 |
| 116 | 98.3.96.230/31 | 98.3.96.230 to 98.3.96.231 | — | 2 |
| 117 | 98.3.96.232/31 | 98.3.96.232 to 98.3.96.233 | — | 2 |
| 118 | 98.3.96.234/31 | 98.3.96.234 to 98.3.96.235 | — | 2 |
| 119 | 98.3.96.236/31 | 98.3.96.236 to 98.3.96.237 | — | 2 |
| 120 | 98.3.96.238/31 | 98.3.96.238 to 98.3.96.239 | — | 2 |
| 121 | 98.3.96.240/31 | 98.3.96.240 to 98.3.96.241 | — | 2 |
| 122 | 98.3.96.242/31 | 98.3.96.242 to 98.3.96.243 | — | 2 |
| 123 | 98.3.96.244/31 | 98.3.96.244 to 98.3.96.245 | — | 2 |
| 124 | 98.3.96.246/31 | 98.3.96.246 to 98.3.96.247 | — | 2 |
| 125 | 98.3.96.248/31 | 98.3.96.248 to 98.3.96.249 | — | 2 |
| 126 | 98.3.96.250/31 | 98.3.96.250 to 98.3.96.251 | — | 2 |
| 127 | 98.3.96.252/31 | 98.3.96.252 to 98.3.96.253 | — | 2 |
| 128 | 98.3.96.254/31 | 98.3.96.254 to 98.3.96.255 | — | 2 |
| 129 | 98.3.97.0/31 | 98.3.97.0 to 98.3.97.1 | — | 2 |
| 130 | 98.3.97.2/31 | 98.3.97.2 to 98.3.97.3 | — | 2 |
| 131 | 98.3.97.4/31 | 98.3.97.4 to 98.3.97.5 | — | 2 |
| 132 | 98.3.97.6/31 | 98.3.97.6 to 98.3.97.7 | — | 2 |
| 133 | 98.3.97.8/31 | 98.3.97.8 to 98.3.97.9 | — | 2 |
| 134 | 98.3.97.10/31 | 98.3.97.10 to 98.3.97.11 | — | 2 |
| 135 | 98.3.97.12/31 | 98.3.97.12 to 98.3.97.13 | — | 2 |
| 136 | 98.3.97.14/31 | 98.3.97.14 to 98.3.97.15 | — | 2 |
| 137 | 98.3.97.16/31 | 98.3.97.16 to 98.3.97.17 | — | 2 |
| 138 | 98.3.97.18/31 | 98.3.97.18 to 98.3.97.19 | — | 2 |
| 139 | 98.3.97.20/31 | 98.3.97.20 to 98.3.97.21 | — | 2 |
| 140 | 98.3.97.22/31 | 98.3.97.22 to 98.3.97.23 | — | 2 |
| 141 | 98.3.97.24/31 | 98.3.97.24 to 98.3.97.25 | — | 2 |
| 142 | 98.3.97.26/31 | 98.3.97.26 to 98.3.97.27 | — | 2 |
| 143 | 98.3.97.28/31 | 98.3.97.28 to 98.3.97.29 | — | 2 |
| 144 | 98.3.97.30/31 | 98.3.97.30 to 98.3.97.31 | — | 2 |
| 145 | 98.3.97.32/31 | 98.3.97.32 to 98.3.97.33 | — | 2 |
| 146 | 98.3.97.34/31 | 98.3.97.34 to 98.3.97.35 | — | 2 |
| 147 | 98.3.97.36/31 | 98.3.97.36 to 98.3.97.37 | — | 2 |
| 148 | 98.3.97.38/31 | 98.3.97.38 to 98.3.97.39 | — | 2 |
| 149 | 98.3.97.40/31 | 98.3.97.40 to 98.3.97.41 | — | 2 |
| 150 | 98.3.97.42/31 | 98.3.97.42 to 98.3.97.43 | — | 2 |
| 151 | 98.3.97.44/31 | 98.3.97.44 to 98.3.97.45 | — | 2 |
| 152 | 98.3.97.46/31 | 98.3.97.46 to 98.3.97.47 | — | 2 |
| 153 | 98.3.97.48/31 | 98.3.97.48 to 98.3.97.49 | — | 2 |
| 154 | 98.3.97.50/31 | 98.3.97.50 to 98.3.97.51 | — | 2 |
| 155 | 98.3.97.52/31 | 98.3.97.52 to 98.3.97.53 | — | 2 |
| 156 | 98.3.97.54/31 | 98.3.97.54 to 98.3.97.55 | — | 2 |
| 157 | 98.3.97.56/31 | 98.3.97.56 to 98.3.97.57 | — | 2 |
| 158 | 98.3.97.58/31 | 98.3.97.58 to 98.3.97.59 | — | 2 |
| 159 | 98.3.97.60/31 | 98.3.97.60 to 98.3.97.61 | — | 2 |
| 160 | 98.3.97.62/31 | 98.3.97.62 to 98.3.97.63 | — | 2 |
| 161 | 98.3.97.64/31 | 98.3.97.64 to 98.3.97.65 | — | 2 |
| 162 | 98.3.97.66/31 | 98.3.97.66 to 98.3.97.67 | — | 2 |
| 163 | 98.3.97.68/31 | 98.3.97.68 to 98.3.97.69 | — | 2 |
| 164 | 98.3.97.70/31 | 98.3.97.70 to 98.3.97.71 | — | 2 |
| 165 | 98.3.97.72/31 | 98.3.97.72 to 98.3.97.73 | — | 2 |
| 166 | 98.3.97.74/31 | 98.3.97.74 to 98.3.97.75 | — | 2 |
| 167 | 98.3.97.76/31 | 98.3.97.76 to 98.3.97.77 | — | 2 |
| 168 | 98.3.97.78/31 | 98.3.97.78 to 98.3.97.79 | — | 2 |
| 169 | 98.3.97.80/31 | 98.3.97.80 to 98.3.97.81 | — | 2 |
| 170 | 98.3.97.82/31 | 98.3.97.82 to 98.3.97.83 | — | 2 |
| 171 | 98.3.97.84/31 | 98.3.97.84 to 98.3.97.85 | — | 2 |
| 172 | 98.3.97.86/31 | 98.3.97.86 to 98.3.97.87 | — | 2 |
| 173 | 98.3.97.88/31 | 98.3.97.88 to 98.3.97.89 | — | 2 |
| 174 | 98.3.97.90/31 | 98.3.97.90 to 98.3.97.91 | — | 2 |
| 175 | 98.3.97.92/31 | 98.3.97.92 to 98.3.97.93 | — | 2 |
| 176 | 98.3.97.94/31 | 98.3.97.94 to 98.3.97.95 | — | 2 |
| 177 | 98.3.97.96/31 | 98.3.97.96 to 98.3.97.97 | — | 2 |
| 178 | 98.3.97.98/31 | 98.3.97.98 to 98.3.97.99 | — | 2 |
| 179 | 98.3.97.100/31 | 98.3.97.100 to 98.3.97.101 | — | 2 |
| 180 | 98.3.97.102/31 | 98.3.97.102 to 98.3.97.103 | — | 2 |
| 181 | 98.3.97.104/31 | 98.3.97.104 to 98.3.97.105 | — | 2 |
| 182 | 98.3.97.106/31 | 98.3.97.106 to 98.3.97.107 | — | 2 |
| 183 | 98.3.97.108/31 | 98.3.97.108 to 98.3.97.109 | — | 2 |
| 184 | 98.3.97.110/31 | 98.3.97.110 to 98.3.97.111 | — | 2 |
| 185 | 98.3.97.112/31 | 98.3.97.112 to 98.3.97.113 | — | 2 |
| 186 | 98.3.97.114/31 | 98.3.97.114 to 98.3.97.115 | — | 2 |
| 187 | 98.3.97.116/31 | 98.3.97.116 to 98.3.97.117 | — | 2 |
| 188 | 98.3.97.118/31 | 98.3.97.118 to 98.3.97.119 | — | 2 |
| 189 | 98.3.97.120/31 | 98.3.97.120 to 98.3.97.121 | — | 2 |
| 190 | 98.3.97.122/31 | 98.3.97.122 to 98.3.97.123 | — | 2 |
| 191 | 98.3.97.124/31 | 98.3.97.124 to 98.3.97.125 | — | 2 |
| 192 | 98.3.97.126/31 | 98.3.97.126 to 98.3.97.127 | — | 2 |
| 193 | 98.3.97.128/31 | 98.3.97.128 to 98.3.97.129 | — | 2 |
| 194 | 98.3.97.130/31 | 98.3.97.130 to 98.3.97.131 | — | 2 |
| 195 | 98.3.97.132/31 | 98.3.97.132 to 98.3.97.133 | — | 2 |
| 196 | 98.3.97.134/31 | 98.3.97.134 to 98.3.97.135 | — | 2 |
| 197 | 98.3.97.136/31 | 98.3.97.136 to 98.3.97.137 | — | 2 |
| 198 | 98.3.97.138/31 | 98.3.97.138 to 98.3.97.139 | — | 2 |
| 199 | 98.3.97.140/31 | 98.3.97.140 to 98.3.97.141 | — | 2 |
| 200 | 98.3.97.142/31 | 98.3.97.142 to 98.3.97.143 | — | 2 |
| 201 | 98.3.97.144/31 | 98.3.97.144 to 98.3.97.145 | — | 2 |
| 202 | 98.3.97.146/31 | 98.3.97.146 to 98.3.97.147 | — | 2 |
| 203 | 98.3.97.148/31 | 98.3.97.148 to 98.3.97.149 | — | 2 |
| 204 | 98.3.97.150/31 | 98.3.97.150 to 98.3.97.151 | — | 2 |
| 205 | 98.3.97.152/31 | 98.3.97.152 to 98.3.97.153 | — | 2 |
| 206 | 98.3.97.154/31 | 98.3.97.154 to 98.3.97.155 | — | 2 |
| 207 | 98.3.97.156/31 | 98.3.97.156 to 98.3.97.157 | — | 2 |
| 208 | 98.3.97.158/31 | 98.3.97.158 to 98.3.97.159 | — | 2 |
| 209 | 98.3.97.160/31 | 98.3.97.160 to 98.3.97.161 | — | 2 |
| 210 | 98.3.97.162/31 | 98.3.97.162 to 98.3.97.163 | — | 2 |
| 211 | 98.3.97.164/31 | 98.3.97.164 to 98.3.97.165 | — | 2 |
| 212 | 98.3.97.166/31 | 98.3.97.166 to 98.3.97.167 | — | 2 |
| 213 | 98.3.97.168/31 | 98.3.97.168 to 98.3.97.169 | — | 2 |
| 214 | 98.3.97.170/31 | 98.3.97.170 to 98.3.97.171 | — | 2 |
| 215 | 98.3.97.172/31 | 98.3.97.172 to 98.3.97.173 | — | 2 |
| 216 | 98.3.97.174/31 | 98.3.97.174 to 98.3.97.175 | — | 2 |
| 217 | 98.3.97.176/31 | 98.3.97.176 to 98.3.97.177 | — | 2 |
| 218 | 98.3.97.178/31 | 98.3.97.178 to 98.3.97.179 | — | 2 |
| 219 | 98.3.97.180/31 | 98.3.97.180 to 98.3.97.181 | — | 2 |
| 220 | 98.3.97.182/31 | 98.3.97.182 to 98.3.97.183 | — | 2 |
| 221 | 98.3.97.184/31 | 98.3.97.184 to 98.3.97.185 | — | 2 |
| 222 | 98.3.97.186/31 | 98.3.97.186 to 98.3.97.187 | — | 2 |
| 223 | 98.3.97.188/31 | 98.3.97.188 to 98.3.97.189 | — | 2 |
| 224 | 98.3.97.190/31 | 98.3.97.190 to 98.3.97.191 | — | 2 |
| 225 | 98.3.97.192/31 | 98.3.97.192 to 98.3.97.193 | — | 2 |
| 226 | 98.3.97.194/31 | 98.3.97.194 to 98.3.97.195 | — | 2 |
| 227 | 98.3.97.196/31 | 98.3.97.196 to 98.3.97.197 | — | 2 |
| 228 | 98.3.97.198/31 | 98.3.97.198 to 98.3.97.199 | — | 2 |
| 229 | 98.3.97.200/31 | 98.3.97.200 to 98.3.97.201 | — | 2 |
| 230 | 98.3.97.202/31 | 98.3.97.202 to 98.3.97.203 | — | 2 |
| 231 | 98.3.97.204/31 | 98.3.97.204 to 98.3.97.205 | — | 2 |
| 232 | 98.3.97.206/31 | 98.3.97.206 to 98.3.97.207 | — | 2 |
| 233 | 98.3.97.208/31 | 98.3.97.208 to 98.3.97.209 | — | 2 |
| 234 | 98.3.97.210/31 | 98.3.97.210 to 98.3.97.211 | — | 2 |
| 235 | 98.3.97.212/31 | 98.3.97.212 to 98.3.97.213 | — | 2 |
| 236 | 98.3.97.214/31 | 98.3.97.214 to 98.3.97.215 | — | 2 |
| 237 | 98.3.97.216/31 | 98.3.97.216 to 98.3.97.217 | — | 2 |
| 238 | 98.3.97.218/31 | 98.3.97.218 to 98.3.97.219 | — | 2 |
| 239 | 98.3.97.220/31 | 98.3.97.220 to 98.3.97.221 | — | 2 |
| 240 | 98.3.97.222/31 | 98.3.97.222 to 98.3.97.223 | — | 2 |
| 241 | 98.3.97.224/31 | 98.3.97.224 to 98.3.97.225 | — | 2 |
| 242 | 98.3.97.226/31 | 98.3.97.226 to 98.3.97.227 | — | 2 |
| 243 | 98.3.97.228/31 | 98.3.97.228 to 98.3.97.229 | — | 2 |
| 244 | 98.3.97.230/31 | 98.3.97.230 to 98.3.97.231 | — | 2 |
| 245 | 98.3.97.232/31 | 98.3.97.232 to 98.3.97.233 | — | 2 |
| 246 | 98.3.97.234/31 | 98.3.97.234 to 98.3.97.235 | — | 2 |
| 247 | 98.3.97.236/31 | 98.3.97.236 to 98.3.97.237 | — | 2 |
| 248 | 98.3.97.238/31 | 98.3.97.238 to 98.3.97.239 | — | 2 |
| 249 | 98.3.97.240/31 | 98.3.97.240 to 98.3.97.241 | — | 2 |
| 250 | 98.3.97.242/31 | 98.3.97.242 to 98.3.97.243 | — | 2 |
| 251 | 98.3.97.244/31 | 98.3.97.244 to 98.3.97.245 | — | 2 |
| 252 | 98.3.97.246/31 | 98.3.97.246 to 98.3.97.247 | — | 2 |
| 253 | 98.3.97.248/31 | 98.3.97.248 to 98.3.97.249 | — | 2 |
| 254 | 98.3.97.250/31 | 98.3.97.250 to 98.3.97.251 | — | 2 |
| 255 | 98.3.97.252/31 | 98.3.97.252 to 98.3.97.253 | — | 2 |
| 256 | 98.3.97.254/31 | 98.3.97.254 to 98.3.97.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |